OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class DatacollectionConfig

    java.lang.Object
      org.opennms.netmgt.config.collectd.DatacollectionConfig

All Implemented Interfaces:
  java.io.Serializable

public class DatacollectionConfig
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_rrdRepository`
`private java.util.ArrayList` `_snmpCollectionList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`DatacollectionConfig()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addSnmpCollection(int index, SnmpCollection vSnmpCollection)`
`void` `addSnmpCollection(SnmpCollection vSnmpCollection)`
`void` `clearSnmpCollection()`
`java.util.Enumeration` `enumerateSnmpCollection()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getRrdRepository()` Returns the value of field 'rrdRepository'.
`SnmpCollection[]` `getSnmpCollection()`
`SnmpCollection` `getSnmpCollection(int index)`
`java.util.Collection` `getSnmpCollectionCollection()`
`int` `getSnmpCollectionCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeSnmpCollection(SnmpCollection vSnmpCollection)`
`void` `setRrdRepository(java.lang.String rrdRepository)` Sets the value of field 'rrdRepository'.
`void` `setSnmpCollection(int index, SnmpCollection vSnmpCollection)`
`void` `setSnmpCollection(SnmpCollection[] snmpCollectionArray)`
`void` `setSnmpCollectionCollection(java.util.Collection vSnmpCollection)`
`static DatacollectionConfig` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _rrdRepository

    private java.lang.String _rrdRepository

### _snmpCollectionList

    private java.util.ArrayList _snmpCollectionList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### DatacollectionConfig

    public DatacollectionConfig()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addSnmpCollection

    public void addSnmpCollection(SnmpCollection vSnmpCollection)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSnmpCollection` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addSnmpCollection

    public void addSnmpCollection(int index,
                                  SnmpCollection vSnmpCollection)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSnmpCollection` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearSnmpCollection

    public void clearSnmpCollection()

### enumerateSnmpCollection

    public java.util.Enumeration enumerateSnmpCollection()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getRrdRepository

    public java.lang.String getRrdRepository()

  Returns the value of field 'rrdRepository'.

  Returns:
    the value of field 'rrdRepository'.

### getSnmpCollection

    public SnmpCollection getSnmpCollection(int index)
                                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getSnmpCollection

    public SnmpCollection[] getSnmpCollection()

### getSnmpCollectionCollection

    public java.util.Collection getSnmpCollectionCollection()

### getSnmpCollectionCount

    public int getSnmpCollectionCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeSnmpCollection

    public boolean removeSnmpCollection(SnmpCollection vSnmpCollection)

  Parameters:
    `vSnmpCollection` -

### setRrdRepository

    public void setRrdRepository(java.lang.String rrdRepository)

  Sets the value of field 'rrdRepository'.

  Parameters:
    `rrdRepository` - the value of field 'rrdRepository'.

### setSnmpCollection

    public void setSnmpCollection(int index,
                                  SnmpCollection vSnmpCollection)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSnmpCollection` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setSnmpCollection

    public void setSnmpCollection(SnmpCollection[] snmpCollectionArray)

  Parameters:
    `snmpCollectionArray` -

### setSnmpCollectionCollection

    public void setSnmpCollectionCollection(java.util.Collection vSnmpCollection)

  Parameters:
    `vSnmpCollection` -

### unmarshal

    public static DatacollectionConfig unmarshal(java.io.Reader reader)
                                          throws org.exolab.castor.xml.MarshalException,
                                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.